integer-logarithms-1.0.4: Integer logarithms.

Copyright | (c) 2011 Daniel Fischer
License | MIT
Maintainer | Daniel Fischer <daniel.is.fischer@googlemail.com>
Stability | Provisional
Portability | Non-portable (GHC extensions)
Safe Haskell | Trustworthy
Language | Haskell2010

GHC.Integer.Logarithms.Compat

Contents

- Functions

Description

Low level stuff for integer logarithms.

Synopsis

- integerLogBase# :: Integer -> Integer -> Int#
- integerLog2# :: Integer -> Int#
- wordLog2# :: Word# -> Int#

# Functions

integerLogBase# :: Integer -> Integer -> Int# Source #

integerLog2# :: Integer -> Int# Source #

wordLog2# :: Word# -> Int# Source #